Categories flash and disappear on Flow pages
Closed, ResolvedPublic

Description

  1. Add some Categories to a Board description
  2. View that Flow board in Safari(9.0) and FF(41)

The added Categories are not displayed. Refresh the page - the Categories will be displayed momentarily.

Etonkovidova updated the task description. (Show Details)
Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2015, 9:39 PM
Catrope assigned this task to Mooeypoo.Oct 13 2015, 10:30 PM
Catrope added a subscriber: Catrope.

I can reproduce this in Chrome too.

Catrope renamed this task from Safari and FF do not display Categories on Flow pages to Categories flash and disappear on Flow pages.Oct 13 2015, 10:30 PM
Catrope set Security to None.

Change 246114 had a related patch set uploaded (by Mooeypoo):
Remove existing categories from DOM after the widget ate them

https://gerrit.wikimedia.org/r/246114

Change 246114 merged by jenkins-bot:
Remove existing categories from DOM after the widget ate them

https://gerrit.wikimedia.org/r/246114

Change 246124 had a related patch set uploaded (by Catrope):
Remove existing categories from DOM after the widget ate them

https://gerrit.wikimedia.org/r/246124

Change 246124 merged by Catrope:
Remove existing categories from DOM after the widget ate them

https://gerrit.wikimedia.org/r/246124

Change 246779 had a related patch set uploaded (by Mooeypoo):
Style categories the same in nojs and js Flow

https://gerrit.wikimedia.org/r/246779

Change 246779 merged by jenkins-bot:
Style categories the same in nojs and js Flow

https://gerrit.wikimedia.org/r/246779

Etonkovidova added a comment.EditedOct 20 2015, 12:23 AM

The main issue is fixed - but Categories at the bottom of a page (they should not be displayed at all) are still displayed for a short time when

  • a page is loaded via search
  • refreshed
  • back/forth browser navigation

Attached a screencast

Another issue:
When adding/updating Categories, the, while saving, Board description will display previous Categories momentarily.

  1. Have some Categories on Board description - and delete or add some
  2. Click Save description - the previously saved Categories will be displayed momentarily before switching to an updated Board description.
Catrope closed this task as Resolved.Nov 22 2015, 10:49 PM

The main issue is fixed - but Categories at the bottom of a page (they should not be displayed at all) are still displayed for a short time when

  • a page is loaded via search
  • refreshed
  • back/forth browser navigation

    Attached a screencast

I can't reproduce that any more. I don't even see the categories at the bottom of the page in non-JS mode.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 22 2015, 10:49 PM